Bug 699714 - Broken dependency on deprecated hal
Broken dependency on deprecated hal
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: exo (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 699692
  Show dependency treegraph
 
Reported: 2011-04-26 08:51 EDT by Honza Horak
Modified: 2011-05-01 23:37 EDT (History)
4 users (show)

See Also:
Fixed In Version: xfburn-0.4.3-5.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-27 07:01:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Honza Horak 2011-04-26 08:51:23 EDT
Description of problem:
Since HAL has been deprecated upstream for 3 years, Fedora and all major
distributions are removing it:

The hal package has already been deprecated by its maintainer and blocked from
composes for rawhide.

https://fedoraproject.org/wiki/Features/HalRemoval

There is "done" in the aforementioned link by component exo, but there is still dependency on hal in exo.spec in Rawhide: 
BuildRequires:  hal-devel 

Why is "done" there then?

Version-Release number of selected component (if applicable):
exo-0.6.0-3
Comment 1 Christoph Wickert 2011-04-26 09:56:22 EDT
(In reply to comment #0)
> Why is "done" there then?

How about asking the feature owners of the feature that was never approved? ;)
Comment 2 Christoph Wickert 2011-04-26 10:19:24 EDT
For exo the dependency is no longer needed, however this wont help us with thunar-vfs and xfburn.
Comment 3 Fedora Update System 2011-04-26 10:29:54 EDT
exo-0.6.0-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/exo-0.6.0-5.fc15
Comment 4 Honza Horak 2011-04-26 10:31:54 EDT
(In reply to comment #1)
> > Why is "done" there then?
> How about asking the feature owners of the feature that was never approved? ;)

Good point :)

(In reply to comment #2)
> For exo the dependency is no longer needed, however this wont help us with
> thunar-vfs and xfburn.

According to xfburn's README, dependency on thunar-vfs is only optional, so if the change of thunar-vfs would be a long-term process, xfburn can be built without it, doesn't it?
Comment 5 Christoph Wickert 2011-04-26 10:53:19 EDT
It seems thunar-vfs indeed builds without hal now. I will queue build later.
Comment 6 Fedora Update System 2011-04-26 11:34:50 EDT
Package exo-0.6.0-5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exo-0.6.0-5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/exo-0.6.0-5.fc15
then log in and leave karma (feedback).
Comment 7 Christoph Wickert 2011-04-27 07:01:25 EDT
Package is in rawhide, for F15 I have requested a buildroot overwrite for exo and thunar-vfs [1] to build xfburn. Once that is done all three will be deployed in one update.

[1] https://fedorahosted.org/rel-eng/ticket/4668
Comment 8 Fedora Update System 2011-04-27 08:26:32 EDT
xfburn-0.4.3-5.fc15,thunar-vfs-1.2.0-3.fc15,exo-0.6.0-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xfburn-0.4.3-5.fc15,thunar-vfs-1.2.0-3.fc15,exo-0.6.0-5.fc15
Comment 9 Nicola Soranzo 2011-04-28 06:10:39 EDT
(In reply to comment #1)
> (In reply to comment #0)
> > Why is "done" there then?
> 
> How about asking the feature owners of the feature that was never approved? ;)

Because I was not tracking dependencies on hal-devel, since the original goal was to just remove hal from the Desktop spin. Now that hal package has been deprecated, I will also do that, thanks for the suggestion!
Comment 10 Fedora Update System 2011-05-01 23:37:22 EDT
xfburn-0.4.3-5.fc15, thunar-vfs-1.2.0-3.fc15, exo-0.6.0-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.